1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

WHM clamav outdated

Discussion in 'cPanel Developers' started by Radio_Head, Nov 29, 2006.

  1. Radio_Head

    Radio_Head Active Member

    Joined:
    Feb 15, 2002
    Messages:
    2,066
    Likes Received:
    1
    Trophy Points:
    38
    see my last post on this discussion to update clamv to latest version. (updated 14 July)
     
    #1 Radio_Head, Nov 29, 2006
    Last edited: Jul 13, 2008
  2. ramprage

    ramprage Member

    Joined:
    Jul 21, 2002
    Messages:
    668
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Canada
    Upgrading ClamAV taken from http://www.configserver.com/cp/upgrade.html

    * Download the latest stable ClamAV distribution from http://www.clamav.net
    * Expand the distribution and cd into the resultant directory and build ClamAV using:
    tar -xzf clamav-*
    cd clamav*
    ./configure --disable-zlib-vcheck
    make
    make install
    replace "Example" "#Example" -- /usr/local/etc/freshclam.conf
    replace "Example" "#Example" -- /usr/local/etc/clamd.conf
    * Run freshclam to download the latest definitions:
    freshclam
    * If you're using the clamavmodule, check you have the latest version installed:
    /scripts/perlinstaller Mail::ClamAV
     
  3. kieranmullen

    kieranmullen Member

    Joined:
    Aug 25, 2005
    Messages:
    165
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Portland, OR USA
    Makes me wonder what the cpanel fees go towards if they ant keep their software updated? I mean all the components are free. There is no excuse for outdated software at all.

    KM
     
  4. dev_cw

    dev_cw Member

    Joined:
    Jun 30, 2004
    Messages:
    59
    Likes Received:
    1
    Trophy Points:
    8
    The clamav has been outdated for weeks now. It seems that you need to do everything manually these days and spens much time searching for fixes to common problems that take cPanel months to get around to fixing.

    What is the deal with cPanel??? Have they given up on support? Are they too busy fixing the scattering of bugs that they don't have time to keep things running smoothly? If they are not going to support the addons (seems that they are not supporting them since they are all in beta for years now) then why even offer them. cPanel has great potential, I AM a fan, but other panels are catching up fast and seem to be more serious about their products. I hope that cPanel gets their act together at less than a snails pace!!! :(
     
  5. carluk

    carluk Member

    Joined:
    Sep 2, 2003
    Messages:
    163
    Likes Received:
    0
    Trophy Points:
    16
    Quite a few control panels are already ahead in many aspects other than perceived end user popularity.
     
  6. Radio_Head

    Radio_Head Active Member

    Joined:
    Feb 15, 2002
    Messages:
    2,066
    Likes Received:
    1
    Trophy Points:
    38
    unluckly i think that soon some big company could eat cpanel.
     
  7. Radio_Head

    Radio_Head Active Member

    Joined:
    Feb 15, 2002
    Messages:
    2,066
    Likes Received:
    1
    Trophy Points:
    38



    by the way using this you will have 2 clamd installations

    root@hostname [~]# /usr/sbin/clamd --v
    ClamAV 0.88.5/2267/Thu Nov 30 23:29:21 2006
    root@hostname [~]# /usr/local/sbin/clamd --v
    ClamAV 0.88.6/2269/Fri Dec 1 13:17:05 2006

    which of these two will use cpanel ?!?

    I think 88.5 , infact whm reports
    Installed Version: 0.88.5-1.9
    Version: 0.88.5-1.9
     
    #7 Radio_Head, Dec 2, 2006
    Last edited: Dec 2, 2006
  8. Radio_Head

    Radio_Head Active Member

    Joined:
    Feb 15, 2002
    Messages:
    2,066
    Likes Received:
    1
    Trophy Points:
    38
    Ok I found a solution which works very well on CENTOS 4


    cd /usr/local/cpanel/modules-install/clamavconnector-Linux-i686
    wget http://ovh.dl.sourceforge.net/sourceforge/clamav/clamav-0.88.6.tar.gz
    wget http://ovh.dl.sourceforge.net/sourceforge/clamav/clamav-0.88.6.tar.gz.sig
    ./install2

    done !

    If you will use this way I suggest you to uncheck "Install and Keep Updated " from WHM !!!

    The file install2 is in attach and it must be uploaded and chmod 755 on
    /usr/local/cpanel/modules-install/clamavconnector-Linux-i686 !

    Next time , suppose version 0.88.9 repeat the procedure above but before
    open install2 and change the first lines with

    AVV=0.88.9
    AVVOLD=0.88.6
     

    Attached Files:

    #8 Radio_Head, Dec 2, 2006
    Last edited: Dec 2, 2006
  9. chae

    chae Member

    Joined:
    Apr 19, 2003
    Messages:
    174
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Auckland, New Zealand
    Worked okay for me an several centos servers...

    Thanks Radio_Head
     
  10. chae

    chae Member

    Joined:
    Apr 19, 2003
    Messages:
    174
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Auckland, New Zealand
    Problem...

    cPanel Logwatch still sees clamav as outdated though

    --------------------- Clamav Begin ------------------------

    **Unmatched Entries**
    LibClamAV Warning: ********************************************************
    LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
    LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/faq.html ***
    LibClamAV Warning: ********************************************************
    LibClamAV Warning: ********************************************************
    LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
    LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/faq.html ***
    LibClamAV Warning: ********************************************************
    LibClamAV Warning: ********************************************************
    LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
    LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/faq.html ***
    LibClamAV Warning: ********************************************************
    LibClamAV Warning: ********************************************************
    LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
    LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/faq.html ***
    LibClamAV Warning: ********************************************************
    LibClamAV Warning: ********************************************************
    LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
    LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/faq.html ***
    LibClamAV Warning: ********************************************************

    ---------------------- Clamav End -------------------------
     
  11. deanstev

    deanstev New Member

    Joined:
    Jun 10, 2004
    Messages:
    111
    Likes Received:
    0
    Trophy Points:
    0
    Hasn't it just been updated by cpanel to .7 ?
     
  12. Radio_Head

    Radio_Head Active Member

    Joined:
    Feb 15, 2002
    Messages:
    2,066
    Likes Received:
    1
    Trophy Points:
    38
    infact they skipped the 0.86 upgrade
     
  13. Polidoor

    Polidoor New Member

    Joined:
    Jul 4, 2003
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    We do the same install as above but fresclam come with following ? :

    freshclam
    Can't change dir to /usr/local/share/clamav
     
  14. allwebnow

    allwebnow Member

    Joined:
    Jan 8, 2007
    Messages:
    65
    Likes Received:
    0
    Trophy Points:
    6
    I've upgraded clamav to the latest version per config server's directions here:
    http://configserver.com/cp/upgrade.html

    I show
    # clamscan -V
    ClamAV 0.90.1/2921/Sat Mar 24 09:52:12 2007

    But then I try to upgrade mailscanner and it says:

    Starting clamd: LibClamAV Warning: ********************************************* ***********
    LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
    LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/faq.html ***
    LibClamAV Warning: ********************************************************
    [FAILED]

    Any ideas?
     
  15. djblamire

    djblamire Member

    Joined:
    May 3, 2003
    Messages:
    242
    Likes Received:
    0
    Trophy Points:
    16
    I'm in the same situation too. Any ideas ?

    Thanks
    Daniel
     
  16. Mindlash

    Mindlash Member

    Joined:
    Jul 7, 2003
    Messages:
    78
    Likes Received:
    0
    Trophy Points:
    6
    same..

    WARNING: Local version: 0.90.2 Recommended version: 0.90.3
     
  17. djblamire

    djblamire Member

    Joined:
    May 3, 2003
    Messages:
    242
    Likes Received:
    0
    Trophy Points:
    16
    Mine says the following, although I have upgraded to 0.90.2, and now to 0.90.3

    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.88.6 Recommended version: 0.90.3

    Thanks
    Daniel
     
  18. upsforum

    upsforum Member

    Joined:
    Jul 27, 2005
    Messages:
    396
    Likes Received:
    0
    Trophy Points:
    16
    I have the same problem.

    if run ./updateclamav this is the message:

    ClamAV update process started at Sun Jul 1 10:46:56 2007
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.90.2 Recommended version: 0.90.3
    DON'T PANIC! Read http://www.clamav.net/support/faq
    main.inc is up to date (version: 43, sigs: 104500, f-level: 14, builder: sven)
    Downloading daily-3564.cdiff [100%]
    Downloading daily-3565.cdiff [100%]
    Downloading daily-3566.cdiff [100%]
    daily.inc updated (version: 3566, sigs: 26850, f-level: 16, builder: sven)
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Current functionality level = 15, recommended = 16
    DON'T PANIC! Read http://www.clamav.net/support/faq
    Database updated (131350 signatures) from database.clamav.net (IP: 209.8.40.140)


    but if run ./clamd --version

    this is result

    ClamAV 0.90.3/3515/Sun Jun 24 10:44:27 2007

    0.90.3 is installed but the update script run 0.90.2 version
     
  19. Radio_Head

    Radio_Head Active Member

    Joined:
    Feb 15, 2002
    Messages:
    2,066
    Likes Received:
    1
    Trophy Points:
    38
    The way to update clamd in a safe way , that I already explained above and it is still good is the following.
    if you want 0.90.3

    cd /usr/local/cpanel/modules-install/clamavconnector-Linux-i686
    wget http://switch.dl.sourceforge.net/sourceforge/clamav/clamav-0.90.3.tar.gz
    wget -r -nH --cut-dirs=10 http://www.grscripts.com/install2
    chmod 755 install2

    now check your clamd version
    clamd --v

    for example it returns 0.90.2

    pico install2 and replace

    AVVOLD=0.90.1
    with your current version

    so you should have this
    AVV=0.90.3
    AVVOLD=0.90.2

    Save


    Now execute

    /install2

    done ! Now you have 0.90.3

    You can use a similar way for next updates , only wget latest clamv and
    tweak install2 with new and current version.

    Bye
     
    #19 Radio_Head, Jul 2, 2007
    Last edited: Jul 2, 2007
  20. upsforum

    upsforum Member

    Joined:
    Jul 27, 2005
    Messages:
    396
    Likes Received:
    0
    Trophy Points:
    16
    thank you but grscripts.com is down!
     

Share This Page